## org.apache.mahout.classifier.df.tools
Class FrequenciesJob

    java.lang.Object
      org.apache.mahout.classifier.df.tools.FrequenciesJob

    public class FrequenciesJob

extends Object

Temporary class used to compute the frequency distribution of the "class attribute".
This class can be used when the criterion variable is the categorical attribute.

Constructor Summary
`FrequenciesJob(org.apache.hadoop.fs.Path base, org.apache.hadoop.fs.Path dataPath, org.apache.hadoop.fs.Path datasetPath)`

Method Summary
`int[][]` `run(org.apache.hadoop.conf.Configuration conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrequenciesJob

    public FrequenciesJob(org.apache.hadoop.fs.Path base,
                          org.apache.hadoop.fs.Path dataPath,
                          org.apache.hadoop.fs.Path datasetPath)

Parameters:
  `base` - base directory
  `dataPath` - data used in the first step

Method Detail

### run

    public int[][] run(org.apache.hadoop.conf.Configuration conf)
                throws IOException,
                       ClassNotFoundException,
                       InterruptedException

  Returns:
    counts[partition][label] = num tuples from 'partition' with class == label
  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.